opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
CvFuzzyCurve Class Reference

`#include <contrib.hpp>`

## Public Member Functions
void | addPoint (double x, double y)
double | calcValue (double param)
void | clear ()
| CvFuzzyCurve ()
double | getCentre ()
double | getValue ()
void | setCentre (double _centre)
void | setValue (double _value)
| ~CvFuzzyCurve ()

## Constructor & Destructor Documentation

CvFuzzyCurve::CvFuzzyCurve | ( |  | ) |

CvFuzzyCurve::~CvFuzzyCurve | ( |  | ) |

## Member Function Documentation

void CvFuzzyCurve::addPoint | ( | double | x,
|  | double | y
| ) |  |

double CvFuzzyCurve::calcValue | ( | double | param | ) |

void CvFuzzyCurve::clear | ( |  | ) |

double CvFuzzyCurve::getCentre | ( |  | ) |

double CvFuzzyCurve::getValue | ( |  | ) |

void CvFuzzyCurve::setCentre | ( | double | _centre | ) |

void CvFuzzyCurve::setValue | ( | double | _value | ) |

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp